## com.bbn.openmap.omGraphics.grid
Class ElevationFBandGenerator

    java.lang.Object
      |
      +--com.bbn.openmap.omGraphics.grid.SimpleColorGenerator
            |
            +--com.bbn.openmap.omGraphics.grid.ElevationMBandGenerator
                  |
                  +--com.bbn.openmap.omGraphics.grid.ElevationFBandGenerator

All Implemented Interfaces:
  OMGridGenerator

public class ElevationFBandGenerator
extends ElevationMBandGenerator

The ElevationFBandGenerator is an OMGridGenerator that creates an OMRaster out of OMGrid data. The OMgrid data is assumed to be meter elevation points, and the colors given to the pixels in the raster reflect the feet values. The colortable given to the generator determines the colors used, and the band height sets the elevation range for each color.

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.grid.ElevationMBandGenerator
`adjust, bandHeight, colors, DEFAULT_ADJUST, DEFAULT_BANDHEIGHT`

Constructor Summary
`ElevationFBandGenerator()`

Method Summary
`int` `calibratePointValue(int source)` Takes the value assigned to a pixel, as determined by it's location in the grid, and gives it a color to be painted by.

Methods inherited from class com.bbn.openmap.omGraphics.grid.ElevationMBandGenerator
`getAdjust, getBandHeight, getColortable, setAdjust, setBandHeight, setColortable`

Methods inherited from class com.bbn.openmap.omGraphics.grid.SimpleColorGenerator
`createGreyscaleColors, generate, needGenerateToRender`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElevationFBandGenerator

    public ElevationFBandGenerator()

Method Detail

### calibratePointValue

    public int calibratePointValue(int source)

  Takes the value assigned to a pixel, as determined by it's location in the grid, and gives it a color to be painted by. In this case, the pixel is colored according to the elevation value.

  Overrides:
    `calibratePointValue` in class `ElevationMBandGenerator`
  Parameters:
    `source` - a grid point value assigned to the raster pixel.
  Returns:
    the ARGB to color the pixel.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details